#ifndef _AUDIO_BOARD_H_
#define _AUDIO_BOARD_H_

#include "board_def.h"
#include "board_pins_config.h"
#include "esp_peripherals.h"

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief Initialize key peripheral
 *
 * @param set The handle of esp_periph_set_handle_t
 *
 * @return
 *     - ESP_OK, success
 *     - Others, fail
 */
esp_err_t audio_board_key_init(esp_periph_set_handle_t set);

#ifdef __cplusplus
}
#endif

#endif
